Summary:	lkmonitor - Linux kernel monitor
Summary(pl.UTF-8):	lkmonitor - monitor jądra Linuksa
Name:		lkmonitor
Version:	0.3
Release:	4
License:	GPL v2
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/lkmonitor/%{name}-%{version}.tar.gz
# Source0-md5:	dd84ee3952fc03ee8319658dc3866e3c
Patch0:		%{name}-pixmapsdir.patch
Patch1:		%{name}-locale.patch
Patch2:		%{name}-pixmaps.patch
Patch3:		%{name}-desktop.patch
URL:		http://lkmonitor.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libgnomeui-devel >= 2.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lkmonitor is a tool for monitoring and managing Linux kernel. It has
been developed for GNOME, using Glib and GTK+ libraries in C Language.
lkmonitor tries to offer detailed information about the
characteristics of the system, such as types of CPU, state of the
memory and/or the file system registered in kernel.

%description -l pl.UTF-8
lkmonitor to narzędzie do monitorowania i zarządzania jądrem Linuksa.
Zostało stworzone dla GNOME, przy użyciu bibliotek Glib i GTK+, w
języku C. lkmonitor próbuje dostarczyć szczegółowe informacje o
charakterystyce systemu, takie jak rodzaj procesora, stan pamięci czy
systemy plików zarejestrowane w jądrze.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
for i in po/es_ES.*; do mv "$i" `echo "$i" | sed 's/es_ES\./es\./'`; done
for i in po/zh.*; do mv "$i" `echo "$i" | sed 's/zh\./zh_CN\./'`; done
mv pixmaps/gnome-computer.png pixmaps/gnome-workstation.png
mv pixmaps/gnome-ccperiph.png pixmaps/gnome-ccperiph-lkm.png

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}/* $RPM_BUILD_ROOT%{_pixmapsdir}
mv -f $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Applications/* $RPM_BUILD_ROOT%{_desktopdir}
rm -rf $RPM_BUILD_ROOT/usr/doc/lkmonitor
rmdir $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/lkmonitor
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lkmonitor.git;a=log;h=master

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> ee289e6
- release 4 (by relup.sh)

* Mon May 17 2010 sparky <sparky@pld-linux.org> 754c630
- libtoolize
- BR: gettext-devel, libtool

* Wed May 12 2010 Jan Rękorajski <baggins@pld-linux.org> 935f559
- rel 3
- fixed patch number

* Wed May 12 2010 Jan Rękorajski <baggins@pld-linux.org> 553c06b
- rel 2
- desktop file cleanup

* Mon Mar 31 2008 Szymon Siwek <sls@pld-linux.org> f427cb8
- rel. 1

* Mon Mar 31 2008 Szymon Siwek <sls@pld-linux.org> b557291
- patch another file

* Mon Mar 31 2008 Szymon Siwek <sls@pld-linux.org> 7c97c02
- more s@lkmonitor/@@

* Mon Mar 31 2008 Szymon Siwek <sls@pld-linux.org> aca1203
- mv gnome-ccperiph.png gnome-ccperiph-lkm.png (conflict with gnome-desktop)

* Mon Mar 31 2008 Szymon Siwek <sls@pld-linux.org> e800ff6
- gnome-ccperiph.png conflicts with gnome-desktop

* Mon Mar 31 2008 Szymon Siwek <sls@pld-linux.org> a5e2987
- fixed installation

* Mon Mar 31 2008 Szymon Siwek <sls@pld-linux.org> 64b4608
- update for 0.3

* Sun Mar 30 2008 Szymon Siwek <sls@pld-linux.org> dfb3126
- ver. 0.3 (NFY)

* Mon Jan 21 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> b365ddf
- add patch, conflict with gnome-desktop

* Mon Jan 21 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> c5c0778
- conflict with gnome-desktop

* Mon Jan 21 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> f01b17b
- correct locales patch

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 42f0d79
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 009aa52
- converted to UTF-8

* Sun Jan 21 2007 darekr <darekr@pld-linux.org> 6153c20
- updated to 0.2
- added -pixmapsdir patch to avoid gtk warning about .png files
- removed needless _pixmapsdir/lkmonitor directory

* Sun Jan 21 2007 darekr <darekr@pld-linux.org> 052cd38
- to avoid gtk warning about .png files

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> ed51661
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

